Hallo Anwender meiner ATARI-Elektronik-PD-Programme, 
 
ELEC1298  ist  die  erweiterte  ELEC1197 !  
--------                        --------
(ELECxxyy:  xx = 2-stellige Montatszahl , yy = 2-stellige Jahreszahl)


G r o s s e   E r w e i t e r u n g !
=====================================

Erweitert  wurde  dieses  ELEC-Packet  mit  dem  Programm  FILTCOOK  zur 
Berechnung aktiver Tiefpass- und Hochpassfilter in zweiter,  vierter und 
sechster  Ordnung,   in  den  Charakteristika  Bessel,  Butterworth  und 
Tschebyscheff  (maximal 1dB-Rippel im Durchlassbereich).  Grundlage  bei 
der Entwicklung  des Programmes war das Buch  AKTIV-FILTER-KOCHBUCH  von 
Don Lancaster (ISBN: 3-88322-007-8).  Ein Buch,  das ich jedem  praxiso-
rientierten Schaltungstechniker sehr empfehlen kann!



Hardware- oder Emulator-Voraussetzung, und welche TOS-Version?
==============================================================
 
Alle  vorliegenden  Programme  entwickelte ich  urspruenglich  fuer  den 
Eigenbedarf. Ich erhebe auf Grund meiner Programmierkenntnisse nicht den  
Anspruch,  dass sie 'sauber' programmiert sind.  Dazu kommt eine INLINE-
Bildentpackungsroutine,  die ich von jemandem uebernahm.  Ich habe nicht 
die geringste Ahnung,  wie sauber diese in Assembler programmiert wurde. 
Ich weiss nur,  dass ich unter meinen Hard- und  Softwarevoraussetzungen 
noch nie Probleme hatte.

Die vorliegenden Programme laufen garantiert stoerungsfrei beim  Einsatz 
von  ATARI-(MEGA)ST-Rechnern unter TOS-1.04 mit einer Bildaufloesung von  
640x400 Pixeln.  Unter zusaetlichem Einsatz von NVDI-3.02 und der  QUAN-
TOS-Betriebssystemerweiterung  gibt  es ebenfalls  keine  Probleme.  Sie 
laufen ebenso mit dem PC-Emulator MAGIC-PC ab Version 1.2,  bei dem  ein 
beliebiges  TOS beigefuegt werden kann und ein TOS-1.04 im Einsatz  ist. 
Dies  hat  jemand fuer mich ausprobiert.  Ich selbst benutze  auf  einem 
alten 486/66-MHz-PC mit WINDOWS-95 den TOS-Emulator TOSBOX  (Shareware), 
dem ebenso ein beliebiges TOS beigefuegt werden kann und bei mir mit dem 
selben TOS-1.04 stoerungsfrei laeuft,  das ich auf meinem ATARI-Mega-ST4 
benutze.



Quelltexte 
========== 
 
Auf welchem Mist gewachsen?
--------------------------- 
Die GFA- und C-Quelltexte sind von mir programmiert.  Die Assembler- und  
INLINE-Routine  (in GFA-BASIC-Programmen),  die fuer das  Entpacken  von 
Schaltbildern  im  Einsatz  sind,  stammen nicht  von  mir,  wurde  aber 
ebenfalls zur Weitergabe freigegeben.
 

Grosszuegigkeit ;-)
------------------- 
Die  Quelltexte meiner PD-Programme gebe ich stets  frei.  Werden  diese  
Quelltexte veraendert oder erweitert,  waere ich dankbar,  wenn man mich  
benachrichtigt  und  eine  neue  Version,  ebenfalls  mit  Quelltext(e),  
zusendet.  Dies  kann per E-Mail oder per Diskette erfolgen.  Ich  werde 
dann diese erweiterte Version pruefen und, wenn nicht beanstandet, eben-
falls zum hier genannten FTP-Server und PD-Pool weitergeben.  Natuerlich 
wird der  Name desjenigen der erweitert hat,  ebenfalls eingetragen  und 
somit  bekanntgegeben.

Eigentlicher Grund der Gratisweitergabe meiner Quelltexte ist,  dass  es 
durchaus sein kann,  dass jemand meine unschoene Programmierung  verbes-
sert,  ich  daraus  etwas lerne und die Verbesserung  der  Allgemeinheit 
zugute kommt.


Verbesserungsvorschlag
----------------------
Vielleicht hat jemand eine Routine oder kann entsprechendes  programmie-
ren,  die auch erlaubt IMG-Bildroutinen ein- und auszulesen.  Dies waere 
sehr willkommen! :-)


Eigenwillige  Weitergabe 
------------------------  
Auch wenn nur eines der Programme weitergegeben wird,  muss mein aktuel-
ler  Text ELECxxyy.MAN unveraendert beigefuegt   werden.  Veraenderungen 
oder Erweiterungen eines Programmes,  muessen auf  einer separaten Text-
datei verfasst und beigelegt werden.  Werden einzelne  Programme weiter-
gegeben,  welche PAC-Bilder einlesen, also STADDEC.INL  im GFA-Quelltext 
enthalten ist,  muss auch dessen Assemblerquelltext LOADSTAD.ASS  beige-
fuegt  werden. Siehe Directory ASS_INL.
 
ELECxxyy  ist  stets  die Bezeichnung des gesamten  Directory  das  alle  
weiter untenstehenden Programme enthaelt.



Inspiration fuer andere
======================= 

Die eigentlich Erfindung ;-) der meisten meiner Elektronikprogramme  ist 
die  Teilung der Monitorwiedergabe in den oberen Teil,  der das  Schalt-
schema mit den relevanten Bauteilen wiedergibt und dem unteren Teil, der 
der Ein- und Ausgabe von Werten dient.  Dabei ist die Schrift auf  halbe 
Hoehe gesetzt (nicht VDI-kompatibel). Die Ein- und Ausgaben erfolgen mit 
Groessenordnungssysbolen, wie z.B. 'k' fuer Kilo, 'M' fuer Mega oder 'n' 
fuer  Nano.  Ein  Wert von 4700 Ohm,  kann als 4.7k oder  auch  als  4k7 
eingeben werden.  Vielleicht inspiriert diese Idee andere  Programmierer 
und wenden dieses Prinzip auch auf andern Plattformen an. Die Quelltexte 
dazu  gibt  es in GFA-3.5BACIC als auch in C.  Siehe  in  INP_OUTP.  Ich 
jedenfalls  bevorzuge  diese Methode gegenueber  der  modern  gewordenen 
Eingabe  mit  Klicken und Sliderschieberei.  Aber  ich  weiss,  das  ist 
Gewohnheits- und Ansichtsache.



Das 555-Theater :-)))
=====================

Es  ist schon erstaunlich wie man es bei  der  WINDOWS-95-Programmierung 
mit  relativ  wenig Programmleistung schafft einen  Haufen  Speicher  zu 
belegen.  Mich wundert es schon lange nicht mehr,  wenn man mit der Zeit 
Terabyte-Festplatten benoetigt. Es gibt ein W-95-Programm zur Berechnung 
des  555-Timer-ICs.  Dieses Programm benoetigt mit allen  Dateien  etwas 
mehr  als 1 M-Byte Festplattenspeicher.  Vergleiche ich dieses  Programm 
mit  meinem LM555-Programm aus der eigenen  Programmkueche,  das  diesem 
ELECxxyy-Packet  beliegt,  so  kann  mein Programm  etwa  1/3  mehr!  Es 
berechnet  auch  den 100%-astabilen Multivibrator der  CMOS-Version  und 
benoetigt trotz Wiedergabe eines Bildes nur ganze 36 k-Byte.  Also  mehr 
als  25 mal weniger als die PC-/W-95-Applikation.  Man muss sich  einmal 
vorstellen, dass der enorme Speicherplatzverbrauch dieses sehr trivialen 
PC-Programmes mehr benoetigt,  wie die ATARI-ST-Emulation TOSBOX auf dem 
PC  inklusive  des Betriebssytemes TOS-1.04 und noch  vieles  dazu.  Ich 
wuerde  ja  noch nichts einwenden,  wenn die  PC-Applikation  drei  oder 
viermal  mehr Programmcode benoetigt,  weil ein W-95 viel komplexer  ist 
als ein TOS-1.04,  aber mehr als 25 mal?  Das schlaegt doch allemal  den 
Boden aus dem Fass, oder?

 
 
Anwendung 
========= 
 
Kredo: Der Autor, - also ich - , ist immer unschuldig !
------------------------------------------------------- 
Ich uebernehme keine Verantwortung fuer meine Programme!  Wenn jemand es  
schaffen  sollte,  seinen  Computer mit Hilfe meiner  Programme  in  die  
ewigen  Elektronenjagdgruende  zu  schicken  oder  sonst  einen  Schaden  
anrichtet,  so ist das alleine seine Sache.  Ich bin unschuldig! Bei mir  
laufen alle Programme problemlos und absturzfrei.
 

Weitergabe nach einer Erweiterung, Erneuerung...
------------------------------------------------ 
Wenn  ich  an einem der Programme im Packet  ELECxxyy  etwas  erweitert,  
veraendert oder verbessert habe, landet das ganze Packet mit einem neuen  
Datum  ELECxxyy,  ZIP  verpackt,  auf einem oder  mehreren  FTP-Servern. 
Die  Aenderung werde ich anschliessend in den folgenden Newsgruppen  des 
UseNet  (INTERNET) und MAUSNET  (evtl.  auch in der einen oder andern Z-
NETZ-Gruppe) bekanntmachen. Es sind dies mit Sichreheit:
 
  maus.technik.elektronik       (MAUSNET) 
  maus.technik.atari.software   (MAUSNET)  <--- noch immer sehr aktiv!
  de.sci.electronics            (INTERNET: UseNet) 
  de.comp.sys.st                (INTERNET: UseNet) nur noch tote Hose!
 
Falls sich jemand bemueht, ELECxxyy in eine MAUS-Box zu hieven, gebe ich  
dies  in den obengenannten Newsgruppen ebenfalls  bekannt.  Daher  bitte  
unbedingt  mitteilen!  Man  kann  es  auch selbst  gleich  in  den  oben 
erwaehnten  Newsgruppen  posten und mir dann bitte  dieses  Posting  als 
Betaetigung per E-Mail zusenden.


Was ist alles zu haben?
======================= 
 
ELEC1298/ 
--------- 
| 
|_____ELECFORM  (Blindwiderstaende von Kapazitaeten und Induktivitaeten) 
|         |     (Berechnung von Parallelwiderstaenden (max. 10)) 
|         |     (Toleranztabelle fuer Widerstaende (1 - 20%)) 
|         |     (Kondensatorspannung als Funktion von T, R und C) 
|         |     (Einschaltimpuls  Trafo-Sek --> Gleichr. --> Kond.) 
|         |     (Netzteil  Trafo --> Gleichr. --> Sieb. --> Regler) 
|         |     (Operationsverstaerker:  Slewrate / Bandb. / Spannung) 
|         | 
|         |_____ELECFORM.C      TURBO-2.0-C-Quelltext 
|         |_____ELECFORM.PRJ    TURBO-2.0-C-Projektdatei 
|         |_____TOS_HEAD.H      TURBO-2.0-C-Headerdatei 
|         |_____ELECFORM.TOS    TOS-Applikation 
|          
| 
|_____DREIECKG  (Berechnung von Dreiecksignalgeneratoren mit 2 Opamp) 
|         | 
|         |_____DREIECKG.GFA    GFA-Quelltext, entaehlt INLINE-Code 
|         |_____DREIECKG.LST    ASCII-Quelltext, ohne INLINE-Code 
|         |_____DREIECKG.PAC    Schaltschema, STAD-Format 
|         |_____DREIECKG.PRG    Applikation 
|          
| 
|_____RC_HPTP   (Berechnungen von passiven Hoch- und Tiefpassfiltern
|         |      erster Ordnung.)
|         |_____RC_HPTP.GFA    
|         |_____RC_HPTP.LST    
|         |_____RC_HPTP.PAC 
|         |_____RC_HPTP.PRG 
|
|
|  NEU:  FILTCOOK ab ELEC1198 !!!!!!!!!!!!!
|  ----------------------------------------
|_____FILTCOOK  (Berechnung von aktiven Hoch- und Tiefpassfiltern 2.,
|         |      4. und 6. Ordnung in Bessel, Buttherw. und Tscheb.)
|         |_____FILTCOOK.MAN    (Manual)
|         |_____FILTCOOK.GFA    
|         |_____FILTCOOK.LST
|         |_____FILTCOOK.PRG
|         |_____STARTPIC.PAC    (Startbild)
|         |_____TP_2.PAC        (Bild: Tiefpassfilter 2. Ordnung)
|         |_____TP_4.PAC        (Bild: Tiefpassfilter 4. Ordnung)
|         |_____TP_6.PAC        (Bild: Tiefpassfilter 6. Ordnung)
|         |_____HP_2.PAC        (Bild: Hochpassfilter 2. Ordnung)
|         |_____HP_4.PAC        (Bild: Hochpassfilter 4. Ordnung)
|         |_____HP_6.PAC        (Bild: Hochpassfilter 6. Ordnung)
|          
| 
|_____POTMETER  (Aus linearem Potmeter mach ein quasi-logarithmisches) 
|         | 
|         |_____POTMETER.GFA 
|         |_____POTMETER.LST 
|         |_____POTMETER.PAC 
|         |_____POTMETER.PRG 
|          
| 
|_____VOLTREG   (Berechnungen von Spannungsregelschaltungen) 
|         | 
|         |_____VOLTREG.GFA    
|         |_____VOLTREG-LST    
|         |_____VOLTREG.PAC 
|         |_____VOLTREG.PRG 
|          
| 
|_____LM555     (Berechnungen mit dem Universal-Timer 555) 
|         |  
|         |_____LM555.GFA     
|         |_____LM555.LST      
|         |_____LM555.PAC 
|         |_____LM555.PRG 
|  
| 
|_____ZOLL_MM   (Umrechnung von mm in zoll, Skizzierunterstuetzung) 
|         | 
|         |_____ZOLL_MM.GFA 
|         |_____ZOLL_MM.LST 
|         |_____ZOLL_MM.PRG 
|  
| 
|_____GITARTUN  (Gitarren-Tuner, Bezug auf eine ELEKTOR-Schaltung) 
|         | 
|         |_____GITARRE.GFA 
|         |_____GITARRE.LST 
|         |_____MICAMP.PAC 
|         |_____GITARRE.PRG 
|          
| 
|_____DB_CALC   (Umrechnung Dezibel <--> Veraerkung/Daempfung) 
|         | 
|         |_____README.DOC 
|         |_____README.TXT 
|         |_____DB_CALC.C 
|         |_____DB_CALC.TTP 
|          
| 
|_____THERMO    (Umrechnung Celius, Kelvin und Fahrenheit) 
|         | 
|         |_____README.DOC 
|         |_____README.TXT 
|         |_____THERMO.C 
|         |_____THERMO.TTP 
|          
| 
|_____INP_OUTP  (Ein- und Ausgaberoutinen mit Groessenordnungssymbolen 
|         |      in GFA-3.5-BASIC und TURBO-2.0-C. Geeignet fuer jeden 
|         |      Programmierer auf allen Computersystemen.) 
|         |  
|         |     INP_OUTP wurde in einem Artikel in der ST-COMPUTER 4/96  
|         |     auf Seite 68 publiziert!
|         | 
|         |_____QUELLTXT (in GFA-3.5-BASIC und TURBO-2.0-C) 
|         |         | 
|         |         |_____FILE_PRG.TC  (auch fuer andere Systeme...) 
|         |         |         | 
|         |         |         |_____INP_OUTP.C 
|         |         |         |_____INP_OUTP.H 
|         |         |         |_____INP_OUTP.PRJ 
|         |         |         |_____INP_OUTP.TOS (zeigt wie's geht...) 
|         |         |          
|         |         |_____FILE_PRG.GFA (ATARI-ST-spezifisch) 
|         |                   | 
|         |                   |_____INP_OUTP.GFA 
|         |                   |_____INP_OUTP.LST 
|         |                   |_____INP_OUTP.PRG (zeigt wie's geht...) 
|         |          
|         |_____MANUSKPT (Manuskripte zur Idee und den Quelltexten) 
|                   | 
|                   |_____DOKUMENT 
|                   |         | 
|                   |         |_____INP_OUTP.DOC (DOC = First-Word-Plus) 
|                   |         |_____INP_OUTP.TXT (TXT = ASCII-Format) 
|                   | 
|                   |_____LISTINGS.TC 
|                   |         | 
|                   |         |_____C_FILE.DOC 
|                   |         |_____C_FILE.TXT 
|                   |         |_____IN_OUT_H.DOC 
|                   |         |_____IN_OUT_H.TXT 
|                   |         |_____IN_OUT_P.DOC 
|                   |         |_____IN_OUT_P.TXT 
|                   |          
|                   |_____LISTINGS.GFA 
|                             | 
|                             |_____GFA_FILE.DOC 
|                             |_____GFA_FILE.TXT 
| 
|_____ASS_INL 
          | 
          |_____LOADSTAD.ASS  (Assembler fuer PAC-Bild-Dekompression) 
          |_____STADDEC.INL   (... dazugehoeriger INLINE-Code) 
  
 
Autor:  Thomas Schaerer 
        Im Lindenhof 6 
        CH-8307 Effretikon 
        E-Mail: schaerer@isi.ee.ethz.ch 
        WWW:    http://www.isi.ee.ethz.ch/~schaerer

Datum und Ort:  20.12.1998  CH-Effretikon
 
-EOF- 

